apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

  # replace `NN` with your assigned student number - e.g., 01, 16, etc.
commonLabels:
  app: flask-helloworld-NN-staging

  # replace `NN` with your assigned student number - e.g., 01, 16, etc.
commonAnnotations:
  kubernetes.io/ingress.global-static-ip-name: flask-helloworld-NN-ip-staging
  
nameSuffix: -staging

resources:
- ../../base

# replace `NN` with your assigned student number - e.g., 01, 16, etc.
images:
- name: devsecopslab/flask-helloworld
  newName: devsecopslab/flask-helloworld
  newTag: 14cee0e1
- name: devsecopslab/flask-helloworld-NN
  newName: devsecopslab/flask-helloworld-NN
  newTag: 0e8bbb77
